RDKit: ForceFields::MMFF::MMFFVdWCollection Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
ForceFields::MMFF::MMFFVdWCollection Class Reference

`#include <Params.h>`

## Public Member Functions
const MMFFVdW * | operator() (const unsigned int atomType) const
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions
static MMFFVdWCollection * | getMMFFVdW (const std::string &mmffVdW="")

## Public Attributes
double | power
| gets a pointer to the singleton MMFFVdWCollection More...
double | B
double | Beta
double | DARAD
double | DAEPS

## Detailed Description

Definition at line 1384 of file MMFF/Params.h.

## Member Function Documentation

static MMFFVdWCollection* ForceFields::MMFF::MMFFVdWCollection::getMMFFVdW | ( | const std::string & | mmffVdW = `""` | ) |
| static

const MMFFVdW* ForceFields::MMFF::MMFFVdWCollection::operator() | ( | const unsigned int | atomType | ) | const
| inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFVdW object, NULL on failure.

Definition at line 1413 of file MMFF/Params.h.

## Member Data Documentation

double ForceFields::MMFF::MMFFVdWCollection::B

Definition at line 1404 of file MMFF/Params.h.

double ForceFields::MMFF::MMFFVdWCollection::Beta

Definition at line 1405 of file MMFF/Params.h.

double ForceFields::MMFF::MMFFVdWCollection::DAEPS

Definition at line 1407 of file MMFF/Params.h.

double ForceFields::MMFF::MMFFVdWCollection::DARAD

Definition at line 1406 of file MMFF/Params.h.

double ForceFields::MMFF::MMFFVdWCollection::power

gets a pointer to the singleton MMFFVdWCollection

Parameters

  mmffVdW | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFVdWCollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFVdWCollection has already been instantiated and `mmffVdW` is empty, the singleton will be returned.
- if `mmffVdW` is empty and the singleton MMFFVdWCollection has not yet been instantiated, the default parameters (from Params.cpp) will be used.
- if `mmffVdW` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

Definition at line 1403 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h